function [num,den]=clean(num,den)

% function [num,den]=clean(num,den) erases leading zero in den and num  

% 96 June 14, 97 May 26 June 3
% 99 July 21 robustified by making sure num & den are real (somehow
%    they have just started to show cases where elements = 0 + 0000i !)
% 2004 June 06,17,18
% 2004 Dec. 16 - delete leading "junk" zeros in num (tiny leading entries) - JHT

% delete leading zero in numerator & denominator
if nargin == 0
    display('USAGE : [num,den] = clean(num,den)')
    return
end
while abs(num(:,1)) <= 10*eps,
   num(:,1) = [];
end
if nargin==2,           % we set nargin=2 here so we can use either one or two inputs to run the m.file
   while den(:,1) == 0
      den(:,1) =[];
   end
end
if nargin==2,
   while num(:,length(num)) == 0 & den(:,length(den)) == 0
      num(:,length(num))=[];
      den(:,length(den))=[];
   end
end
% to cancel bugs popping up like 0 + 0.000i
num = real(num);
if nargin==2, 
    den = real(den);
end
