function rplot(re, im)                   

% RPLOT  function rplot(re, im) draw right handed
% path for nyquist point by point.what it does exactly is
% it hatches the nyquist plot.
% First, draw the nyquist plot of a system 
% and get its real and imaginary points

% 97 May 8,9,10,23,29
% 2004 June 2 , July 10

% Error checking
if nargin == 0
    display('USAGE: rplot(re,im)')
    return
elseif nargin < 1 | nargin > 2
    error('Incorrect number of input arguments!')
end
k = length(re);
i = 1;
while i < length(re)
    p1 = [re(i)  re(i+1)];
    p2 = [im(i)  im(i+1)];
    [vx, vy] = rhand(p1,p2);
    line ([vx(1), vx(2)], [vy(1), vy(2)],'Color','r');
    % find image point of negative frequency  
    p1 = [re(k)  re(k-1)];
    p2 = [-im(k)  -im(k-1)];
    [vx, vy] = rhand(p1,p2);
    line ([vx(1), vx(2)], [vy(1), vy(2)],'Color','r');
    k = k - 1;    % decrement the nyquist points
    i = i + 1;    % increment the counter
end


