function [tpt] = testpt(region,limit)

% function [tpt] = testpt(region,limit)
% Sets up a test point on the RE-axis in each region, testpt returns 
% chosen test points to determine # of crossings in each region
% Each point will be used by the function " CLNUM " to find the
% corresponding numerator equation.
% You may set "limit" as [ -inf inf]

% 96 June 16,21 July 19 
% 97 June 1
% 2004 June 20

if nargin == 0
   disp('USAGE:  [tpt] = testpt(region,limit)')
   return
elseif nargin < 2
   error('Need at least 2 input arguments')
end

% each test point is chosen to be mid-point within each region
tpt = (region(:,1)+region(:,2))/2;

% test point for +/- infinity region needs special treatment
tpt(1) = (region(1,2) + limit(1))/2;
len = size(region,1);
tpt(length(tpt)) = (region(len,1) + limit(2))/2;

