function zoomr(ind, Groot, num, den, Gre, Gim, pos, range, n1,limit)

% FUNCTION zoomr(ind,Groot,num,den,Gre.Gim,pos,range,n1) 
% zooms in small region of Groot
% Groot is arranged in order of frequency  
% ind is the position according to Groot that needs zooming
% n1 is the number of unstable roots representing each region 
  
% 96 June 24 Aug 12,13,14
% 97 May 9,12,14,24 June 1
% 2004 august 24,september 9

if nargin == 0
    disp('USAGE: zoomr(ind, Groot, num, den, Gre, Gim, pos, range, n1,limit)')
    return
elseif nargin < 10
    error('not enough input arguments')
end
len = length(ind);
subplot(len+1,1,1);
nyq4p2(num,den);
axis(limit);
tpt=testpt(range,limit);
prtnum(n1,tpt);
%ind, len, pos, Groot
for k=1: len,
   subplot(len+1,1,k+1);
   nyq4p2(num,den);
   % ind here is a vector in case of having more than one stability range
   % so we write ind(k,:) instead of ind(k)
   x = abs(Groot(ind(k,:)));
   p1 = pos(ind(k,:));
   if ind(k)==length(Groot),
      p1=pos(ind(k-1,:)); p2=pos(:,ind(k));
   else 
      p1 = pos(ind(k,:)); p2=pos(ind(k,:)+1);
   end
   y = max(abs(Gim(p1:p2)));
   axis([-2*x, 2*x, -2*y, 2*y]);
   % include on the graph as many pole number as possible   
   tpoint = tpt; 
   for g=1:length(Groot)-1
      root=Groot; root=sort(root);
      if tpt(g) < -2*x & tpt(g+1) > -2*x, 
         if root(g) < -2*x,
            tpoint(g)=( -2*x + root(g+1) ) /2; 
         else                  
            tpoint(g)=( -2*x + root(g) ) /2;
         end   
      end
      % narrow window to two neighbouring tpt
      if tpt(g) < 2*x & tpt(g+1) > 2*x,
         % root could be in/outside the window  
         if root(g) > 2*x,
            tpoint(g)=( root(g-1) + 2*x ) /2;
         else
            tpoint(g+1)=( root(g) + 2*x ) /2;
         end
      end
   end
   len1=length(root);
   len2=length(tpt)-len1;
   % take care of the last tpt on the most right
   % tpoint can be greater than root in size by 2  
   tpoint(len1+len2)=( root(len1) + 2*x ) / 2;
   % take care of the first tpt on the most left
   tpoint(1) = ( -2*x+root(1) ) / 2;
   prtnum(n1,tpoint);
end

