function [F]=angfun2(rad)

% FUNCTION F=angfun2(rad) is used with fzero 
% to find the angle of the Popov line         

% 97 Feb 20,22 July 4 Aug 11,14,18,26,27,28,29 Oct 22 98 Jan13 May13
%2004 AUgust 30

if nargin == 0
    disp('USAGE : [F]=angfun2(rad)')
    return
end
global reT REnum REden IMnumPop

% real(Gpop) = REnum/REden, Imag(Gpop) =IMnumPop/IMden

if rad~=0, 

   [REnum,IMnumPop]=addz(REnum,IMnumPop);
   % rotate the graph counterclockwise, rotate x-coordinate only
   REnumT=cos(rad)*REnum - sin(rad)*IMnumPop;
   % if rotation for y-coordinate is wanted
   %%MnumPopT=sin(rad)*REnum + cos(rad)*IMnumPop;

    REnumT=clean(REnumT);
   [numder,dender]=derfun(REnumT, REden);
   wmin=roots(numder);
   ind=find(wmin>0 & abs(imag(wmin))<1e-10);
   wmin=real(wmin(ind));
   wmin=erase(wmin);
   reT=freqresp(REnumT, REden, wmin);

   % Aug 15 find the correct Popov line 
   imT=freqresp(IMnumPop, REden, wmin);
   reT=real(reT);
   imT=real(imT);

% Aug28 find pts above and below real axis 
% Oct26 or 2 pts all above or all below      
[Gmin,Gmin1,w1,w2,s]=fdw1w2(reT,imT,wmin);
   
   [IMnumPop,REden]=clean(IMnumPop,REden);
   if length(IMnumPop) < length(REden) | s, 
      % to consistently pick the same point for Gmin and Gmin1
      if w1>w2,
         F=Gmin-Gmin1;
      else
         F=Gmin1-Gmin;
      end
   else  
      Gmin=0;
      Gmin1=min(reT);
      F=Gmin-Gmin1;
   end 

else
   F=0;
end 

% set a tolerance limit to F 
if abs(F) < 1e-10, F=0; end

