function [num,den,root]=derfun(u,v)

% FUNCTION [num,den]=derfun(u,v) obtains the derivative of u/v
% and find all the roots including complex ones
% derivative of u/v= (u'v - v'u)/v^2
% 97 Jan17, Feb21
% 2004 August 29

if nargin == 0
    disp('USAGE : [num,den,root]=derfun(u,v)')
    return
elseif nargin  < 2
    error('please put at least 2 input arguments!!')
end
uprime=polyder(u);
vprime=polyder(v);
vuprime=conv(v,uprime);
uvprime=conv(u,vprime);
[uvprime,vuprime]=addz(uvprime,vuprime);
num=vuprime - uvprime;
den=conv(v,v);
root=roots(num);

