function [re, slope,root,freq]=fdline(REnum,REden,IMnumPop,IMnum)

% FUNCTION [re,slope,root,freq] = fdline(REnum,REden,IMnumPop,IMnum) 
% finds the Popov line in the 1st case when only one hump occurs

% 97 Feb21,23,25 July 6, 25,27,28 Aug13 Sept23 Oct26 98Jan21
% 2004 August 28,30

if nargin == 0
    disp('USAGE: [re, slope,root,freq]=fdline(REnum,REden,IMnumPop,IMnum)')
    return
elseif nargin < 4
    error('input arguments should be equal to 4')
end
% find the slope at the left most crossing of the Popov curve
% obtain the derivative function of real and imaginary part
% IMPop = the imaginary part of numerator multiplied by (w)
[sREnum,sREden]=derfun(REnum,REden);
[sIMnum,sIMden]=derfun(IMnumPop,REden);
% find w at the left most crossing 
freq=roots(IMnum);
freq=freq(find(freq>=0 & abs(imag(freq))<1e-10));
% erase frequencies that have the same value
freq=erase(freq);  
freq=sort(freq);
% Aug13 1997 ,add w=1e-10 to approximate w=0 
if freq(1)==0,
   freq(1)=1e-10;
else    
   freq=[1e-10; freq];
end
% Aug13 1997 ,add w=1e10 to approximate w=inf
freq=[freq; 1e30];
root=freqresp(REnum,REden,freq);
rootre=real(root);

% add 97 Sept23
%% Oct 22 still have repeated root though freq's are distinct
%%root=erase(root);

% only the minimum root represent the left most crossing
ind=find(rootre==min(rootre));
deltaX=real(freqresp(sREnum,sREden,freq(ind)));
deltaY=real(freqresp(sIMnum,sIMden,freq(ind)));
slope=deltaY/deltaX;
% re = Rmin (mininmum value of the most left crossing point on real axis) 
re=rootre(ind); 


