function [ang,x1,y1,w1]=guess(re,REnum,REden,IMnumPop,IMden)

% FUNCTION [ang,x1,y1,w1]=guess(REnum,REden) finds the initial angle of the 
% Popov line

% 97 Oct 26
% 2004 august 28

if nargin == 0
    disp('USAGE : [ang,x1,y1,w1]=guess(re,REnum,REden,IMnumPop,IMden)')
    return
elseif nargin < 5
    error('wrong numbr of input arguments')
end
%% Aug25 estimate the angle of the popov line
[sREnum,sREden]=derfun(REnum,REden);
wmin=roots(sREnum);
ind=find(wmin>=0 & abs(imag(wmin))<1e-10);
wmin=wmin(ind);

% Aug29 consider w=1e10 as inf   
% Jan15 may need adjustment
wmin(length(wmin)+1)=1e10;      

REmin=real(freqresp(REnum,REden,wmin));
ind1=find(REmin==min(REmin));
w1=wmin(ind1);
x1=real(freqresp(REnum,REden,w1));
y1=real(freqresp(IMnumPop,IMden,w1));
ang=atan((x1-re)/y1);

%98 Jan12 testing 
%%REmin(ind1)=[];
%%ind2=find(REmin==min(REmin));
%%w2=wmin(ind2)
%%x2=real(freqresp(REnum,REden,w2))
%%y2=real(freqresp(IMnumPop,IMden,w2))
%%ang=atan((x1-x2)/(y1-y2));
%%plot(x1,y1,x2,y1,'*r')
