function s=pcase1(REnum,REden,IMnumPop,re,slope,root)

% function s=pcase1(REnum,REden,IMnumPop,re,slope) checks if it is case 1 where
% a Popov line is drawn through a point on RE-axis 

% 97 Feb22 Aug13 Oct22 Nov10,20 98Jan21
% 2004 august 28,30
% 2004 August 31 - fixed frequency list for nyq4p2 call - JH Taylor

if nargin == 0
    disp('USAGE:s=pcase1(REnum,REden,IMnumPop,re,slope,root)')
    return
elseif nargin < 6
    error('input arguments should be equal to 6')
end
% rotate the graph
rad=pi/2-atan(slope);
if rad < pi/2,
   % rotate the graph counterclockwise
   REnumT=cos(rad)*REnum - sin(rad)*IMnumPop;
else
   % rotate the graph clockwise
   rad=pi-rad;
   REnumT=cos(rad)*REnum + sin(rad)*IMnumPop;
end   

% rotate re 
reT=cos(rad)*re;
% check if it is case1 where the Popov plot has one hump 
[Snum,Sden,Wmin]=derfun(REnumT,REden);

ind=find(Wmin>=0 & abs(imag(Wmin))<1e-10);

[REnumT,REden]=clean(REnumT,REden);
GminT=freqresp(REnumT,REden,Wmin(ind));
% defining the range of (w) in the input argument to suppress the warning(log of zero)
% To get rid of the warnings (divided by zero)and(log of zero) that pop up after running the nyquist 
re=[];im=[];
if any(isreal(re))| any(isreal(im))
    wfi = freqint2(REnumT,REden,50); % invoke old nyquist freq list generator
    wlist = (1+pi/1.e6)*wfi; % fudge to ensure w ~= pole!
    [re,im,w] = nyq4p2(REnumT,REden,wlist);
elseif any(isnan(re))|any(isnan(im))
       re=[];im=[];
end
y=polyval(REnumT,w)./polyval(REden,w);

% difference smaller than 1e-10 implies they are equal 

if abs(reT-min(real(GminT))) <= 1e-10,
   s=1;
else
   s=0;
end

%% 98 Jan19 special cases
IMnumPop=clean(IMnumPop);
x=real(freqresp(REnum,REden,1e10));
y=real(freqresp(IMnumPop,REden,1e10));
if abs(min(real(root)))<1e-10,
    % in case of a positive value of x
   if ((sign(x)==-1) & (abs(x)<1e-10)) & (abs(y)<1e-10),
      s=1;
      % in case of a negative value of x
   elseif (sign(x)==1) & (abs(x)<1e-10),
      s=1;
   end
end      
   
      
       
